Packages on RaspberryPi3

Phishfry

Son of Beastie

Thanks: 963
Messages: 2,944

#1
On the Raspberry Pi3 the images on the FreeBSD download site work for FreeBSD 12.
Problem is no package ABI for aarch64 on 12.0 so you must use this from the RaspBSD site:
env ABI=FreeBSD:11:aarch64 pkg bootstrap
Then add to /usr/local/etc/pkg.conf
ABI = "FreeBSD:11:aarch64";

And now for the new wrinkle:
Code:
root@generic:/usr/local # pkg install ytree
Shared object "libarchive.so.6" not found, required by "pkg"
root@generic:/usr/local # env ABI=FreeBSD:11:aarch64 pkg install ytree
Shared object "libarchive.so.6" not found, required by "pkg"
My fix was to link it to the previous libarchive.so
Code:
root@generic:/usr/local # find / -name 'libarchive.so*'
/usr/lib/debug/usr/lib/libarchive.so.7.debug
/usr/lib/libarchive.so.7
/usr/lib/libarchive.so
root@generic:/usr/local # ln /usr/lib/libarchive.so.7 /usr/lib/libarchive.so.6
root@generic:/usr/local # pkg install ytree
Updating FreeBSD repository catalogue...
pkg: Repository FreeBSD load error: access repo file(/var/db/pkg/repo-FreeBSD.sqlite) failed: No such file or directory
Fetching meta.txz: 100%    944 B   0.9kB/s    00:01  
Fetching packagesite.txz: 100%    5 MiB   2.5MB/s    00:02  
Processing entries: 100%
FreeBSD repository update completed. 24704 packages processed.
It works but I dunno if it is technically correct.
 
Top